
## Conditional build:
%define _enable_dnotify --enable-dnotify
%define _enable_dnssd --enable-dnssd
%define dnssd mDNSResponder
%define _with_jasper --with-jasper
%define _with_lua --with-lua
%define _with_openexr --with-openexr

%if 0%{?fedora} > 1 || 0%{?rhel} > 3
%define _with_acl --with-acl
%endif

%if 0%{?fedora} > 3 || 0%{?rhel} > 4
# See http://bugzilla.redhat.com/bugzilla/188019 – kdelibs: --enable-inotify (--disable-libfam)
%define _enable_inotify --enable-inotify
# See http://bugzilla.redhat.com/bugzilla/192959 (glibc-kernheaders: include inotify.h)
%define inotify_h_in kernel-devel
%if 0%{?fedora} > 5 || 0%{?rhel} > 4
# See http://bugzilla.redhat.com/bugzilla/192959 (glibc-kernheaders: include inotify.h)
%define inotify_h_in glibc-kernheaders
#or ?
#define inotify_h_in glibc-headers
%endif
%else
# kde-packagers suggested to disable fam when/if kdelibs's inotify detection is fixed/used -- Rex
%define _enable_libfam --enable-libfam
%endif

%if 0%{?fedora} > 4 || 0%{?rhel} > 4
%define libkdnssd libkdnssd
%endif

%define is_release 2

%define _with_apidocs --with-apidocs

Summary: K Desktop Environment - Libraries
Name:	 kdelibs
Epoch:	 6
Version: 3.5.6
Release: 2.kde 

Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdelibs-%{version}.tar.bz2
Group:	 System Environment/Libraries
License: LGPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 

Requires: kde-settings >= 3.5
Requires: kde-filesystem
Requires: xdg-utils
Requires(post): /sbin/ldconfig xdg-utils
Requires(postun): /sbin/ldconfig xdg-utils

#define _with_apidocs --with-apidocs
%if "%{?_with_apidocs:1}" == "1"
%if 0%{?fedora} > 4 || 0%{?rhel} > 4
BuildArch: %{ix86} x86_64 ppc sparc
%else
BuildArch: noarch
%endif
%define debug_package %{nil}
%define __spec_install_post %{nil}
AutoReq: no
%endif

%global kde_major_version %(echo %{version} | cut -d. -f1)

Source1: kde.sh
Source2: kde.csh
Source3: devices.protocol

Conflicts: cervisia < 2:3.1
Conflicts: kdeaddons < 0:3.3.90
Conflicts: kdeartwork < 0:3.3.90
Conflicts: kdebase < 6:3.3.90
Conflicts: kdepim < 6:3.2.90
Conflicts: kdesdk < 0:3.2

Obsoletes: plastik 

## icons
#Requires: %{_datadir}/share/icons/hicolor
Requires: hicolor-icon-theme
## artwork/themes
# Disable this hackery?  See http://bugzilla.redhat.com/bugzilla/154093
# Keep these links, for now, but recommend upgrading to a fixed/working
# redhat-artwork >= 0.239-2
%if 0%{?fedora} > 4 || 0%{?rhel} > 4
%define nolinks 1
%else
BuildRequires: redhat-artwork
#Requires(hint): redhat-artwork
%endif

%{?libkdnssd:Requires: %{libkdnssd}} 

# kdesu/sudo support, http://bugs.kde.org/20914
BuildRequires: sudo
Requires(hint): sudo

Obsoletes: kdelibs-menus < %{version}-%{release}
Provides:  kdelibs-menus = %{version}-%{release}
Obsoletes: kde-menus < %{version}-%{release}
Provides:  kde-menus = %{version}-%{release}

## X11 support details
%define x_deps xorg-x11-devel
%if 0%{?fedora} > 4 || 0%{?rhel} > 4
%define x_deps xorg-x11-proto-devel libX11-devel
%define x_modular 1
%define _with_rgbfile --with-rgbfile=%{_datadir}/X11/rgb.txt
%endif
BuildRequires: %{x_deps}
%if "%{?x_modular}" == "1"
Requires: iceauth
%endif

BuildRequires: qt-devel >= 1:3.3.7 qt-devel-docs
%global qt_ver %(pkg-config qt-mt --modversion 2>/dev/null || echo 3.3.7)
Requires: qt >= 1:%{qt_ver} 
%define qtdocdir %{_docdir}/%{name}-devel-%{qt_ver}
BuildRequires: arts-devel >= 8:1.5.6
%global arts_ver %(artsc-config --arts-version 2>/dev/null || echo 1.5.6)
Requires: arts >= 8:%{arts_ver}
BuildRequires: cups-devel cups
BuildRequires: libart_lgpl-devel >= 0:2.3.16 
#Requires:     libart_lgpl       >= 0:2.3.16
BuildRequires: libxslt-devel libxml2-devel
BuildRequires: flex >= 2.5.4a-13
BuildRequires: libmng-devel
BuildRequires: libpng-devel
BuildRequires: libjpeg-devel
BuildRequires: libtiff-devel
BuildRequires: zlib-devel
BuildRequires: pcre-devel
BuildRequires: zlib-devel
BuildRequires: bzip2-devel
BuildRequires: audiofile-devel
BuildRequires: openssl-devel
BuildRequires: krb5-devel
BuildRequires: perl
BuildRequires: gawk
BuildRequires: gettext
BuildRequires: libidn-devel
BuildRequires: aspell-devel >= 11:0.50
BuildRequires: alsa-lib-devel >= 0:1.0
BuildRequires: pkgconfig
# Patch139445 requires boost (bummer) -- Rex
BuildRequires: boost-devel
BuildRequires: findutils
%if 0%{?fedora} > 5 || 0%{?rhel} > 4
# FIXME http://bugzilla.redhat.com/205767
BuildRequires: libutempter-devel
%else
BuildRequires: utempter
%endif
# verify/fix or simply remove /usr/lib/lib{acl,attr}.la, if present, 
# on building system, to workaround redhat packaging bug, 
# http://bugzilla.redhat.com/bugzilla/171114
%{?_with_acl:BuildRequires: libacl-devel libattr-devel}
# optional "Extras"
%{?_with_jasper:BuildRequires: jasper-devel}
%{?_with_lua:BuildRequires: lua-devel}
%{?_with_openexr:BuildRequires: OpenEXR-devel}
%{?dnssd:BuildRequires: %{dnssd}-devel}
%{?_enable_inotify:BuildRequires: %{inotify_h_in} }

%if "%{is_release}" != "1"
BuildRequires: automake libtool
%endif

%if "%{?_enable_libfam:1}" == "1"
#BuildRequires: gamin-devel
BuildRequires: fam-devel 
%endif

Patch1: kdelibs-3.5.1-xdg-menu.patch
Patch2: kdelibs-3.0.0-ndebug.patch
Patch4: kdelibs-3.0.4-ksyscoca.patch
Patch5: kdelibs-3.5.0-openssl0.9.8a.patch
Patch1005: kdelibs-3.5.0-openssl-1.patch
Patch15: kdelibs-3.4.91-buildroot.patch
#Patch16: kdelibs-3.1-ssl-krb5.patch
#Patch20: kdelibs-3.3.92-defaultstyle.patch
Patch21: kdelibs-3.2-flash.patch
#moved to patch0
#Patch24: kdelibs-3.1-libtool.patch
Patch32: kdelibs-3.2.3-cups.patch
Patch33: kdelibs-3.3.2-ppc.patch
Patch34: kdelibs-3.4.0-qtdoc.patch
Patch35: kdelibs-3.4.92-inttype.patch
Patch37: kdelibs-3.5.2-kdebug-kmail-quiet.patch
Patch38: kdelibs-3.5.2-cupsdconf2-group.patch
Patch39: kdelibs-3.5.4-kabc-make.patch
Patch40: kdelibs-3.5.4-kdeprint-utf8.patch

# upstream patches

# security fixes
Patch500: kdelibs-3.3.5-khtml-overflow-CVE-2006-4811.patch


# Not really needed if -fvisibility is disabled, no biggie -- Rex
# only allow KDE_HAVE_GCC_VISIBILITY to be set if gcc >= 3.4 to allow use
# of older gcc-3.x compat compilers.
Patch1201: kdelibs-3.4.0-gcc34-visibility.patch

## kde-redhat sources/patches
# http://tango-project.org/Installation#Patches_to_KDE
Patch1000: http://straw.sh.nu/kde/kdelibs-new-icon-theme-contexts-5.diff
# lua51 patch
Patch1001: kdelibs-3.5.4-lua51.patch
# kstandarddirs patch, use /etc/kde in addition to /usr/share/config, borrowed from debian
Patch1004: kdelibs-3.5.5-kstandarddirs.patch
# automake-1.10, $(all_libraries) is missing from a few LDFLAGS (kde #137675)
#Patch137675: kdelibs-3.5.6-all_libraries.patch
Patch137675: kdelibs-3.5.6-137675.patch
# http://bugs.kde.org/77854
Patch77854: kdelibs-3.3.2-77854.patch
# http://bugs.kde.org/93359
Patch93359: kde-3.5-libtool-shlibext.patch
# http://bugs.kde.org/101956 (kget ignores simultaneous download limit)
Patch101956: kdelibs-3.5.0-101956.patch
# http://bugs.kde.org/102121 (dnssd/gcc296)
# Patch102121: kdelibs-3.4.0-102121.patch
## See http://bugs.kde.org/139445 
Patch139445: kdelibs-3.5.5-lib_loader-1.2.patch
## http://bugs.kde.org/140768
Patch140768: kdelibs-3.5.6-kde#140768.patch

%description
Libraries for the K Desktop Environment:
KDE Libraries included: kdecore (KDE core library), kdeui (user interface),
kfm (file manager), khtmlw (HTML widget), kio (Input/Output, networking),
kspell (spelling checker), jscript (javascript), kab (addressbook),
kimgio (image manipulation).

%package devel
Group: Development/Libraries
Summary: Header files and documentation for compiling KDE applications.
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: qt-devel
Requires: arts-devel
Requires: %{x_deps}
Requires: openssl-devel
Requires: libjpeg-devel
%{?libkdnssd:Requires: %{libkdnssd}-devel}
Conflicts: kdebase-devel < 6:3.2.0
#Provides: %{name}-devel-noapidocs = %{epoch}:%{version}
%description devel
This package includes the header files you will need to compile
applications for KDE.  

#ifarch noarch
%if "%{?_with_apidocs:1}" == "1"
- -apidocs -> 
# See kdelibs-apidocs: http://bugzilla.redhat.com/bugzilla/178316
%package apidocs
Group: Documentation
Summary: API documentation for %{name}
BuildRequires: doxygen
BuildRequires: graphviz
Requires: %{name}-devel = %{epoch}:%{version}
%description apidocs
API documentation for %{name} %{version}.
%endif

%if "%{?libkdnssd:1}" == "1"
%package  %{libkdnssd} 
Provides: %{libkdnssd} 
Group:	  System Environment/Libraries
Summary:  kdelibs/mDNSResponder zeroconf implementation
Requires: %{name} = %{epoch}:%{version}-%{release}
Conflicts: avahi-kdnssd
%{?dnssd:Requires: %{dnssd}}
%description %{libkdnssd} 
%{summary}.

%package %{libkdnssd}-devel
Provides: %{libkdnssd}-devel
Group:   Development/Libraries
Summary: Development Files for %{libkdnssd}
Requires: %{name}-%{libkdnssd} = %{epoch}:%{version}-%{release}
%description %{libkdnssd}-devel
%{summary}.
%endif



%prep

%if "%{?is_release}" != "0"
%setup -q -n %{name}-%{version}
%else
%setup -q -n %{name}
%endif

#patch0 -p1 -b .libtool
%patch1 -p1 -b .xdg-menu
%{!?debug:%patch2 -p1 -b .debug}
%patch4 -p1 -b .ksyscoca
%patch1005 -p1 -b .openssl
%patch15 -p1 -b .buildroot
#patch20 -p1 -b .defaultstyle
# flash patch
%patch21 -p1
#Now patch0
#patch24 -p1 -b .libtool
%patch32 -p1 -b .cups
%patch33 -p1 -b .ppc
%patch34 -p1 -b .qtdoc
%patch35 -p1 -b .inttype
%patch37 -p1 -b .kdebug-kmail-quiet
%if "%{?fedora}" > "4" || "%{?rhel}" > "4"
# cupsd.conf should by group lp, not sys
%patch38 -p1 -b .cupsdconf2-group
%endif
%patch39 -p1 -b .kabc-make
%patch40 -p1 -b .kdeprint-utf8

# upstream patches
%patch139445 -p1 -b .kde#139445
%patch140768 -p1 -b .kde#140768

# security fixes
%patch500 -p1 -b .CVE-2006-4811

# FIXME, lua51 doesn't really work, yet -- Rex
#patch1001 -p1 -b .lua51
%patch1004 -p1 -b .kstandarddirs
%patch77854  -p1 -b .kde#77854
%patch93359 -p1 -b .libtool-shlibext
%patch101956 -p1 -b .kde#101956
%patch137675 -p0 -b .kde#137675
#{?gcc296:#patch102121 -p1 -b .102121}

## kde-redhat patches
%patch1201 -p1 -b .visibility-pre-gcc34

sed -i -e "s,^#define KDE_VERSION_STRING .*,#define KDE_VERSION_STRING \"%{version}-%{release}\"," kdecore/kdeversion.h

# This instead of libtool-shlibext patch above -- Rex (FIXME) ??
#mv libltdl/ltdl.m4 libltdl/ltdl.m4.orig && ln -s /usr/share/aclocal/ltdl.m4 libltdl/
#libtoolize --ltdl --force

%if "%{is_release}" != "1"
  make -f admin/Makefile.common cvs
%endif


%build
unset QTDIR || : ; source /etc/profile.d/qt.sh

# set qtdoc patch
export QTDOC=%{qtdocdir}

if [ -x /etc/profile.d/krb5.sh ]; then
  . /etc/profile.d/krb5.sh
elif ! echo ${PATH} | grep -q /usr/kerberos/bin ; then
  export PATH=/usr/kerberos/bin:${PATH}
fi

# workaround for http://bugs.kde.org/93359
#export libltdl_cv_shlibext=".so"

# export CPPFLAGS="$CPPFLAGS $(pkg-config --cflags-only-I openssl 2>/dev/null)"

%if "%{inotify_h_in}" == "kernel-devel"
export CPPFLAGS="$CPPFLAGS -I$(find /usr/src/kernels/*/include/linux/inotify.h -print | sed -e 's|linux/inotify.h||' | head -1 )"
%endif

%if "%{?_with_apidocs:1}" == "1"
# speed apidocs(noarch) build 
export CFLAGS="-O0"; 
export CXXFLAGS="-O0";
./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} \
%else
%configure \
%endif
  --with-distribution="$(cat /etc/redhat-release 2>/dev/null)" \
%if "%{_lib}" == "lib64" 
  --enable-libsuffix="64" \
%endif
  --includedir=%{_includedir}/kde \
  --disable-rpath \
  --disable-gcc-hidden-visibility \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final \
  %{?debug:  --enable-debug --enable-warnings --disable-final } \
  --enable-cups \
  --enable-mitshm \
  --enable-sendfile \
  --with-alsa \
  --with-aspell \
  --with-libart \
  --with-libidn \
  --with-tiff \
  --with-xinerama \
  --with-utempter \
  %{?_enable_dnotify} %{!?_enable_dnotify:--disable-dnotify} \
  %{?_enable_dnssd} %{!?_enable_dnssd:--disable-dnssd} \
  %{?_enable_inotify} %{!?_enable_inotify:--disable-inotify} \
  %{?_enable_libfam} %{!?_enable_libfam:--disable-libfam} \
  %{?_with_acl} %{!?_with_acl:--without-acl} \
  %{?_with_jasper} %{!?_with_jasper:--without-jasper} \
  %{?_with_lua} %{!?_with_lua:--without-lua} \
  %{?_with_openexr} %{!?_with_openexr:--without-openexr} \
  %{?_with_rgbfile}

# ld breaks with -fPIC on ppc, workaround
# it will be removed when this bug is fixed
%ifarch ppc ppc64
perl -pi -e 's,^pic_flag=" -fPIC -DPIC",pic_flag=" -fpic",g' libtool
%endif

make %{?_smp_mflags} 

%if "%{?_with_apidocs:1}" == "1"
make %{?_smp_mflags} apidox
%endif


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

## apidocs
%if "%{?_with_apidocs:1}" == "1"

ln -sf HTML/en/kdelibs-apidocs $RPM_BUILD_ROOT%{_docdir}/kdelibs-devel-%{kde_major_version}

rm -rf $RPM_BUILD_ROOT{%{_bindir},%{_includedir},%{_libdir},%{_sysconfdir}}
rm -rf $RPM_BUILD_ROOT%{_datadir}/[a-c,e-z]*
rm -rf $RPM_BUILD_ROOT%{_docdir}/HTML/en/{common,kspell}

%else

rm -rf $RPM_BUILD_ROOT%{_docdir}/HTML/en/kdelibs-apidocs

install -p -m755 -D %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/kde.sh
install -p -m755 -D %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/kde.csh
install -p -m644 -D %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/services/devices.protocol

# Disable this hackery?  See http://bugzilla.redhat.com/bugzilla/154093
# Keep these links, for now, but recommend upgrading to a fixed/working 
# redhat-artwork >= 0.239-2
%if 0%{?fedora} > 4 || 0%{?rhel} > 4
%define nolinks 1
%endif
#if "%{?redhatify}" == "1"
%if "%{?nolinks}" != "1"
# Add symlinks to crystal icons, thanks Peter Rockai, #121929
do_link () {
 if [ -f $2 ]; then
  echo "`pwd`/$2 already exists! (??)"
 else
  ln -sf $1 $2
  if [ ! -f "$2" ]; then
   echo "warning symlink target `pwd`/$1 does not exist (in %{name})"  
  fi
 fi
}
pushd $RPM_BUILD_ROOT%{_datadir}/icons/crystalsvg
  for s in 16x16 22x22 32x32 48x48 64x64 128x128; do
    pushd $s/apps/ || continue
    # package icons
    do_link package_wordprocessing.png redhat-office.png
    do_link package_network.png redhat-internet.png
    do_link package_applications.png redhat-accessories.png
    do_link package_graphics.png redhat-graphics.png
    do_link package_games.png redhat-games.png
    do_link multimedia.png redhat-sound_video.png
    do_link package_settings.png redhat-preferences.png
    do_link package_development.png redhat-programming.png
    do_link ../filesystems/server.png redhat-network-server.png
    do_link ../filesystems/server.png redhat-server_settings.png
    do_link package_utilities.png redhat-system_tools.png
    do_link package_system.png redhat-system_settings.png
    do_link package_utilities.png redhat-tools.png
    # app icons
    do_link kmail.png redhat-email.png
    do_link konqueror.png redhat-web-browser.png
    do_link kfm.png redhat-filemanager.png
    do_link kfm_home.png redhat-home.png
    do_link kviewshell.png redhat-logviewer.png
    # system settings
    do_link multimedia.png system-config-soundcard.png
    popd
  done
popd
%endif

# Use hicolor-icon-theme rpm/pkg instead (#178319)
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/

## menus
mkdir -p %{buildroot}%{_sysconfdir}/kde/xdg/menus
mv %{buildroot}%{_sysconfdir}/xdg/menus/applications.menu \
   %{buildroot}%{_sysconfdir}/xdg/menus/kde-applications.menu
# compat-symlinks, can go away eventually -- Rex
ln -s %{_sysconfdir}/xdg/menus/kde-applications.menu \
      %{buildroot}%{_sysconfdir}/kde/xdg/menus/kde-applications.menu
ln -s kde-applications.menu \
      %{buildroot}%{_sysconfdir}/kde/xdg/menus/applications.menu

# Unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/libkdnssd.la

# ghost'd files
touch $RPM_BUILD_ROOT%{_datadir}/services/ksycoca

## remove references to extraneous/optional libraries in .la files (#170602)
# fam, libart_lgpl, pcre, libidn, libpng, libjpeg, libdns_sd, libacl/libattr, alsa-lib/asound
find $RPM_BUILD_ROOT%{_libdir} -name "*.la" | xargs \
 sed -i \
 -e "s@-lfam@@g" \
 -e "s@%{_libdir}/libfam.la@@g" \
 -e "s@-lart_lgpl_2@@g" \
 -e "s@%{_libdir}/libpcreposix.la@@g" \
 -e "s@-lpcreposix@@g" \
 -e "s@-lpcre@@g" \
 -e "s@-lidn@@g" \
 -e "s@%{_libdir}/libidn.la@@g" \
 -e "s@-lpng@@g" \
 -e "s@-ljpeg@@g" \
 -e "s@%{_libdir}/libjpeg.la@@g" \
 -e "s@-ldns_sd@@g" \
 -e "s@-lacl@@g" \
 -e "s@%{_libdir}/libacl.la@@g" \
 -e "s@/%{_lib}/libacl.la@@g" \
 -e "s@-lattr@@g" \
 -e "s@%{_libdir}/libattr.la@@g" \
 -e "s@/%{_lib}/libattr.la@@g" \
 -e "s@-lasound@@g" \
 -e "s@-lboost_filesystem@@g" \
 -e "s@-lboost_regex@@g"

# remove *.la for dynamic plugins. kde lib loader handles .so now.
rm $RPM_BUILD_ROOT%{_libdir}/kde3/*.la
# keep $RPM_BUILD_ROOT%{_libdir}/kde3/plugins/designer/kdewidget.la for kdebase and others.
rm $RPM_BUILD_ROOT%{_libdir}/kde3/plugins/styles/*.la
rm $RPM_BUILD_ROOT%{_libdir}/libkdeinit_*.la

# Make symlinks relative
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en
for i in *; do
  [ -d $i -a -L $i/common ] && ln -nsf ../common $i/common
done
popd

# apidocs
%endif


%check
%if "%{?_with_apidocs:1}" == "1"
test -f $RPM_BUILD_ROOT%{_docdir}/HTML/en/kdelibs-apidocs/index.html || echo "apidocs missing!"
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%pre devel
## (kde-redhat bug #690691)
# This *should* be a symlink, otherwise nuke
DIR1=%{_docdir}/kdelibs-devel-%{kde_major_version}
[ ! -L "${DIR1}" ] && %{__rm} -rf "${DIR1}"
# This *should not* be a symlink, otherwise nuke.
DIR2=%{_docdir}/HTML/en/kdelibs-%{version}-apidocs
[ -L "${DIR2}" ] && %{__rm} "${DIR2}"
exit 0

%post
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme crystalsvg 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme crystalsvg 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%if "%{?libkdnssd:1}" == "1"

%post %{libkdnssd}
/sbin/ldconfig ||:

%postun %{libkdnssd}
/sbin/ldconfig ||:

%endif


%if "%{?_with_apidocs:1}" == "1"

%files apidocs
%defattr(-,root,root,-)
%{_docdir}/kdelibs-devel-%{kde_major_version}
%lang(en) %{_docdir}/HTML/en/kdelibs-apidocs/

%else

%files 
%defattr(-,root,root,-)
%doc AUTHORS COPYING* README
%config(noreplace) %{_sysconfdir}/profile.d/*
%dir %{_sysconfdir}/kde/xdg
%dir %{_sysconfdir}/kde/xdg/menus
%{_sysconfdir}/kde/xdg/menus/*.menu
%{_sysconfdir}/xdg/menus/*.menu
%{_bindir}/[a-c,e-j,l-z]*
%attr(4755,root,root) %{_bindir}/kpac_dhcp_helper
%attr(4755,root,root) %{_bindir}/kgrantpty
%{_bindir}/k[a-f,h-o,q-z]*
%{_bindir}/dcop[a-h,j-z]*
%{_bindir}/dcop
%dir %{_libdir}/kde3/
%{_libdir}/kde3/*.[ls][ao]
%{_libdir}/kde3/plugins/
%{_libdir}/lib*.so.*
%{_libdir}/libkdeinit_*.[ls][ao]
%{?libkdnssd:%exclude %{_libdir}/libkdnssd*}
%{_datadir}/applications/*
%{_datadir}/apps/
%{_datadir}/autostart/
%config(noreplace) %{_datadir}/config/*
%{_datadir}/emoticons/
%{_datadir}/icons/crystalsvg/
%{_datadir}/icons/default.kde
%{_datadir}/locale/all_languages
%{_datadir}/mimelnk/
%{_datadir}/services/
%ghost %{_datadir}/services/ksycoca
%{_datadir}/servicetypes/
%lang(en) %{_docdir}/HTML/en/common/
%lang(en) %{_docdir}/HTML/en/kspell/

%files devel
%defattr(-,root,root,-)
%{_bindir}/dcopidl*
%{_includedir}/kde/
%{?libkdnssd:%exclude %{_includedir}/kde/dnssd/}
%{_libdir}/lib*.a
#{_libdir}/libkio.[ls][ao]
#{_libdir}/libkdeui.[ls][ao]
%{_libdir}/lib*.[ls][ao]
%exclude %{_libdir}/libkdeinit_*.[ls][ao]

%if "%{?libkdnssd:1}" == "1"
%files %{libkdnssd} 
%defattr(-,root,root,-)
%{_libdir}/libkdnssd.so.*

%files %{libkdnssd}-devel
%defattr(-,root,root,-)
%{_includedir}/kde/dnssd/
%{_libdir}/libkdnssd.[ls][ao]
%endif

%endif


%changelog
* Fri Jan 30 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.5.6-1.1
- -apidocs: +BR: qt-devel-docs , so now we actually get docs generated.

* Tue Jan 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.5.6-1
- kde-3.5.6
- kde.(sh|csh): set/define KDEDIRS (instead of deprecated KDEDIR)

* Fri Jan 12 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.5.5-3
- omit a few more .la files, move others to -devel

* Wed Jan 10 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.5.5-2
- kstandarddirs patch (borrowed from debian, thanks), to use /etc/kde too
- lib_loader patch (kde bug #139445)

* Mon Jan 08 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.5.5-1.6
- move kde-applications.menu to /etc/xdg/menus, keep compat symlinks in
  /etc/kde/xdg/menus (for now)

* Thu Jan 04 2007 Rex Dieter 6:3.5.5-1.5
- use XDG_MENU_PREFIX=kde-

* Tue Dec 19 2006 Rex Dieter 6:3.5.5-1.4
- %%ghost %%_datadir/services/ksycoca (global ksycoca cache)

* Fri Dec 08 2006 Rex Dieter 6:3.5.5-1.3
- respin for jasper-1.900.0

* Thu Dec 07 2006 Rex Dieter 6:3.5.5-1.2
- XDG_MENU_PREFIX patch (but don't actually use it, yet)
- BR: sudo

* Wed Nov 29 2006 Rex Dieter 6:3.5.5-1.1
- increase cups timeout 1.5 -> 3 seconds (see also kde bug #135561)
- sync w/rawhide's kdelibs-3.5.5-1

* Mon Nov 06 2006 Rex Dieter 6:3.5.5-1.0
- respin  

* Fri Nov 03 2006 Rex Dieter 6:3.5.5-0.9
- Req: xdg-utils, use in scriptlets

* Wed Oct 25 2006 Rex Dieter 6:3.5.5-0.8
- BR: qt-devel >= 1:3.3.7

* Wed Oct 18 2006 Rex Dieter 6:3.5.5-0.7
- cups_timeout patch

* Tue Oct 17 2006 Rex Dieter 6:3.5.5-0.6
- khtml patch (kde bug #135639)
- kate patch (kde bug #135409)

* Wed Oct 11 2006 Rex Dieter 6:3.5.5-0.5
- Requires: kde-filesystem

* Mon Oct 09 2006 Rex Dieter 6:3.5.5-0.4
- respun tarball
- http://kubuntu.org/~jriddell/kde-355-kdesu.diff
- Requires: kdelibs-config

* Fri Oct 06 2006 Rex Dieter 6:3.5.5-0.3
- 3.5.5

* Sun Oct 01 2006 Than Ngo <than@redhat.com> 6:3.5.4-10
- fix utf8 issue in kdeprint
- fix #178320,#198828, follow menu-spec
- upstream patches,
   fix #106748, Evaluate scripts in <iframe src=javascript:..> in the right context
   fix #133071, Crash when characterSet was accessed on newly-created document

* Sat Sep 30 2006 Than Ngo <than@redhat.com> 6:3.5.4-9
- fix #178320,#198828, follow menu-spec
- fix #119167, page rendered incorrectly at larger font sizes

* Tue Sep 26 2006 <than@redhat.com> 6:3.5.4-8
- fix #115891/bz#208270, CUPS 1.2.x unix socket support
- apply upstream patches
   fix #123915, Page format display is 'overlaid'
   fix #100188, Fix incorrect 'endl' usage

* Thu Sep 14 2006 Than Ngo <than@redhat.com> 6:3.5.4-7
- apply upstream patches
   fix #132678, Google search encoding fix
   khtml rendering issue
   fix #134118, silent startup notification never going away
   fix #133401, crash when attempting to remove a standard shortcut that isn't actually in
   the KStdAccel::ShortcutList
   fix #131979, unbreak "latest" and "most downloads" views

* Tue Sep 12 2006 Than Ngo <than@redhat.com> 6:3.5.4-6
- fix #205767, konsole no longer register itself to utmp
- fix #123941, qt xim plugin sometimes leads to crash

* Tue Sep 05 2006 Than Ngo <than@redhat.com> 6:3.5.4-5
- apply upstream patches
   fix #123413, kded crash when KDED modules make DCOP calls in their destructors
   fix #133529, konqueror's performance issue
   fix kdebug crash
   more icon contexts (Tango icontheme)
   fix #133677, file sharing doesn't work with 2-character long home directories

* Mon Sep 04 2006 Than Ngo <than@redhat.com> 6:3.5.4-4
- apply upstream patches
   fix kde#121528, konqueror crash

* Wed Aug 23 2006 Than Ngo <than@redhat.com> 6:3.5.4-3
- apply upstream patches
   fix kde#131366, Padding-bottom and padding-top not applied to inline elements
   fix kde#131933, crash when pressing enter inside a doxygen comment block
   fix kde#106812, text-align of tables should only be reset in quirk mode

* Tue Aug 08 2006 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.5.4-2.0
- kdesu: sudo support (kde bug #20914), Requires(hint): sudo

* Tue Aug 08 2006 Than Ngo <than@redhat.com> 6:3.5.4-2
- add BR on gettext, cups

* Tue Aug 08 2006 Than Ngo <than@redhat.com> 6:3.5.4-1
- rebuilt

* Wed Jul 26 2006 Petr Rockai <prockai@redhat.com> - 6:3.5.4-0.pre2
- drop the gcc workaround, problem fixed in gcc/g++

* Tue Jul 25 2006 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.5.4-1.0
- kde-3.5.4

* Fri Jul 21 2006 Rex Dieter 6:3.5.3-11.0
- --enable-dnssd, BR: mDNSresponder-devel, on fc5+, allow for (optional)
  kdnssd-avahi, to serve as drop-in replacement for libkdnssd (rh bug #187820)
- fc4+: --enable-inotify (rh bug #188019)
- --with-jasper, BR: jasper-devel
- --with-lua, BR: lua-devel
- --with-openexr, BR: OpenEXR-devel
- drop Requires: redhat-menus (we use own own kde-menus now)
- CVE-2006-3672 patch

* Thu Jul 20 2006 Than Ngo <than@redhat.com> 6:3.5.3-11
- apply upstream patches,
   fix kde#130831, remember when the last replacement string was the empty string

* Tue Jul 18 2006 Petr Rockai <prockai@redhat.com> - 6:3.5.3-10
- do not ship the dummy kdnssd implementation, depend on external one
  (there is one provided by kdnssd-avahi now)
- change the use of anonymous namespace in kedittoolbar.h, so that
  the KEditToolbar classes are exported again

* Mon Jul 17 2006 Petr Rockai <prockai@redhat.com>
- should have been 6:3.5.3-9 but accidentally built as 6:3.5.3-8.fc6
- --disable-libfam and --enable-inotify to get inotify support
  and to disable gamin/fam usage
- add %{?dist} to Release:

* Tue Jul 11 2006 Than Ngo <than@redhat.com> 6:3.5.3-8
- upstream patches,
    kde#130605 - konqueror crash
    kde#129187 - konqueror crash when modifying address bar addres

* Mon Jul 10 2006 Than Ngo <than@redhat.com> 6:3.5.3-7
- apply upstream patches,
    #123307 - Find previous does nothing sometimes
    #106795 - konqueror crash

* Tue Jul 04 2006 Than Ngo <than@redhat.com> 6:3.5.3-6
- apply upstream patches, fix #128940/#81806/#128760

* Sat Jun 24 2006 Than Ngo <than@redhat.com> 6:3.5.3-5
- fix #196013, mark kde.sh/kde.csh as config file
- fix #178323 #196225, typo in kde.sh
- apply upstream patches

* Tue May 23 2006 Than Ngo <than@redhat.com> 6:3.5.2-7
- fix #189677, No longer possible to "copy & rename" file in same directory

* Mon May 22 2006 Than Ngo <than@redhat.com> 6:3.5.2-6
- fix #192585, kdeprint writes incorrect cupsd.conf

* Thu May 18 2006 Than Ngo <than@redhat.com> 6:3.5.2-5
- use a versioned Obsoletes for kdelibs-docs

* Thu May 18 2006 Rex Dieter 6:3.5.2-4.3
- missed -cups-1.2 -kdeprint patches from rawhide

* Wed May 17 2006 Rex Dieter 6:3.5.2-4.2
- -libkdnssd: package libkdnssd separately, so you can choose your own
  implementation, either mDNSResponder (here) or avahi (kdnssd-avahi)

* Wed May 17 2006 Rex Dieter 6:3.5.2-4.1
- (try to) use kdnssd-avahi (fc5+)

* Tue May 16 2006 Than Ngo <than@redhat.com> 6:3.5.2-4
- rebuild against new qt to fix multilib issue
- fix #178323, add KDE_IS_PRELINKED/KDE_NO_IPV60

* Wed May 16 2006 Rex Dieter 6:3.5.2-3.2
- fc5+: disable mdns support, causes ksysguard to crash (rh #187822)

* Thu May 11 2006 Rex Dieter 6:3.5.2-3.1
- dndsd avahi fix (fc5+, rh #187820)

* Thu May 04 2006 Rex Dieter 6:3.5.2-3.0
- don't reveal stored konq passwords using find (kde bug #126745)

* Wed May 03 2006 Than Ngo <than@redhat.com> 6:3.5.2-3
- fix #173235, disable kmail debug info #173235

* Mon May 01 2006 Rex Dieter 6:3.5.2-2.1
- rework/simplify handling of XDG_CONFIG_DIRS

* Fri Apr 21 2006 Than Ngo <than@redhat.com> 6:3.5.2-2
- apply patch to fix crash kdeprint

* Fri Apr 21 2006 Than Ngo <than@redhat.com> 6:3.5.2-2
- apply patch to fix crash kdeprint

* Thu Apr 13 2006 Rex Dieter 6:3.5.2-1.3
- respin against qt-3.3.6
- Requires: qt > 3.3

* Tue Apr 04 2006 Rex Dieter 6:3.5.2-1.2
- --enable-inotify (--disable-libfam --disable-dnotify) (fc4+, rh #188019)
- cleaner mdns_sd detection w/avahi (fc5+, rh #187820)
- -apidocs -> native arch (fc5 anyway, since that's how rh did it)

* Mon Apr 03 2006 Rex Dieter 6:3.5.2-1.1
- use avahi instead of mDNSResponder (fc5+, rh #187820)

* Mon Mar 20 2006 Rex Dieter 6:3.5.2-1.0
- 3.5.2

* Thu Mar 16 2006 Rex Dieter 6:3.5.1-2.5
- restore --enable-libfam (kdelib's detection of inotify doesn't work)
- %%define %%{expand:%%(...)} -> %%global %%(...)

* Mon Mar 13 2006 Rex Dieter 6:3.5.1-2.4
- --disable-libfam (as suggested on kde-packagers list)

* Tue Feb 21 2006 Than Ngo <than@redhat.com> 6:3.5.1-2.3
- apply patch to fix missing icons in KDE main menu
- requires redhat-artwork >= 0.239-2
- don't own /usr/share/icons/hicolor #178319
- remove broken links #154093

* Fri Feb 17 2006 Rex Dieter 1:3.5.1-2.3
- use Requires(hint) for optional bits (redhat-artwork, redhat-menus)

* Thu Feb 16 2006 Rex Dieter 6:3.5.1-2.2
- sync w/rawhide's 3.5.1-2.2
- kurllabel.patch

* Fri Feb 03 2006 Rex Dieter 6:3.5.1-1.5
- "Unable to change permissions in Konqueror" (kde bug #114731)

* Thu Feb 02 2006 Rex Dieter 6:3.5.1-1.4
- -devel: use versioned Req: qt-devel 

* Tue Jan 31 2006 Rex Dieter 6:3.5.1-1.3
- include tango patch(es)

* Fri Jan 27 2006 Rex Dieter 6:3.5.1-1.2
- BR: graphviz

* Mon Jan 23 2006 Rex Dieter 6:3.5.1-1.1
- document "cleanup .la files" (#170602)
- -apidocs:  drop noapidocs hack

* Sat Jan 21 2006 Rex Dieter 6:3.5.1-1.0
- kde-3.5.1

* Thu Jan 19 2006 Rex Dieter 6:3.5.0-5.0
- don't own %%_datadir/icons/hicolor (#178319)
- document kdelibs-apidocs (#178316)
- document "drop kde-applications.menu" (#178320)
- document "follow fdo icon spec" (#178322) 
- document "/etc/profile.d/kde.(csh|sh)" (#178323) 

* Wed Jan 18 2006 Than Ngo <than@redhat.com> 6:3.5.0-5
- apply patch to fix a printing problem
- add subpackage kdelibs-docs
- enable --enable-new-ldflags #161074

* Tue Jan 10 2006 Rex Dieter 6:3.5.0-4.2
- kjs security patch (CVE-2006-0019),
  http://www.kde.org/info/security/advisory-20060119-1.txt

* Tue Jan 10 2006 Rex Dieter 6:3.5.0-4.1
- -devel: Req: libjpeg-devel (not *really* required, but makes
  life simpler, and matches rawhide)

* Wed Dec 21 2005 Rex Dieter 6:3.5.0-4.0
- drop build-time usage of rpmq queries.
- -apidocs: fixed so don't need to disable unpackaged files check
- -devel: drop extrenous deps (#170602)

* Wed Dec 21 2005 Than Ngo <than@redhat.com> 6:3.5.0-4
- apply patch to fix crash in kicker on KDE logout

* Fri Dec 16 2005 Than Ngo <than@redhat.com> 6:3.5.0-3
- add requires on several devel subpackages

* Fri Dec 16 2005 Than Ngo <than@redhat.com> 6:3.5.0-3
- add requires on several devel subpackages

* Tue Dec 13 2005 Than Ngo <than@redhat.com> 6:3.5.0-2
- apply patch to fix konqueror for working with new openssl #174541

* Mon Dec 12 2005 Rex Dieter 6:3.5.0-1.8
- cleanup X-detection usage, add support/patch for X-modular (fc5)

* Thu Dec 08 2005 Rex Dieter 6:3.5.0-1.7
- kde-applications.menu symlink for (backwards) compatibility

* Thu Dec 08 2005 Rex Dieter 6:3.5.0-1.6
- -menus: XDG_DIR/applications.menu -> XDG_DIR/menus/applications.menu

* Tue Dec 06 2005 Rex Dieter 6:3.5.0-1.5
- -menus: fix Requires
- kde.(csh|sh): check for absense of $XDG_DIR/disable before
  adding to XDG_CONFIG_DIRS 

* Sun Dec 04 2005 Rex Dieter 6:3.5.0-1.4
- kdelibs-menus/kde-menus is reborn! It lives! Wuooha ha ha!
- kde.(csh|sh): use alternate menus in /etc/xdg.d (implemented
  by defining XDG_CONFIG_DIRS), (#178320)
- --enable-new-ldflags
- --disable-gcc-hidden-visibility

* Thu Dec 01 2005 Rex Dieter 6:3.5.0-1.3
- kio/http patch (bug #101956)

* Wed Nov 30 2005 Rex Dieter 6:3.5.0-1.2
- add (reference to) GLIBCXX_FORCE_NEW in kde.(sh|csh)
- %%if "%%{?_with_apidocs:1}" == "1" --> %%ifarch noarch

* Sat Nov 26 2005 Rex Dieter 6:3.5.0-1.1
- respin

* Mon Nov 21 2005 Rex Dieter 6:3.5.0-1.0
- kde-3.5.0
- -apidocs: noarch

* Sat Nov 12 2005 Rex Dieter 6:3.5.0-0.1.rc1
- kde-3.5.0-rc1

* Thu Oct 06 2005 Rex Dieter 6:3.4.3-1.0
- kde-3.4.3

* Thu Aug 04 2005 Rex Dieter 6:3.4.2-1.2
- respin

* Wed Aug 03 2005 Rex Dieter 6:3.4.2-1.1
- visibility respin (fc3,fc4,el4)

* Thu Jul 21 2005 Rex Dieter 6:3.4.2-1.0
- kde-3.4.2

* Fri Jul 08 2005 Rex Dieter 6:3.4.1-1.3.kde
- fix kdelibs-3.4.0-openssl-3.patch
- simplify -apidocs handling (use Requires instead of Conflicts)
- use better logic in admin-disable-fvisibility.patch

* Mon Jun 20 2005 Rex Dieter 6:3.4.1-1.2.kde
- disable -fvisibility, for now (kde bug #101542)

* Tue May 24 2005 Rex Dieter 6:3.4.1-1.0.kde
- 3.4.1

* Tue May 03 2005 Rex Dieter 6:3.4.0-5.3.kde
- http://www.kde.org/info/security/advisory-20050504-1.txt

* Tue Apr 19 2005 Rex Dieter 6:3.4.0-5.2.kde
- http://www.kde.org/info/security/advisory-20050421-1.txt

* Mon Apr 18 2005 Rex Dieter 6:3.4.0-5.1.kde
- tweak compat icons (#121929,#154093)
- kdemacros.h: set __KDE_HAVE_GCC_VISIBILITY only if gcc >= 3.4,
  to allow use of compat-gcc too.

* Wed Apr 13 2005 Than Ngo <than@redhat.com> 6:3.4.0-5
- more fixes from CVS stable branch
- fix kbuildsycoca crashes with signal 11 on kde startup #154246

* Tue Apr 12 2005 Than Ngo <than@redhat.com> 6:3.4.0-4
- add workaround for #154294

* Thu Apr 07 2005 Than Ngo <than@redhat.com> 3.4.0-3
- add missing kcontrol/khelp/home/find in main menu #151655
- fix bad symlinks #154093

* Fri Apr 01 2005 Than Ngo <than@redhat.com> 6:3.4.0-2
- add missing kde documents, workaround for rpm bug

* Wed Mar 23 2005 Rex Dieter 6:3.4.0-1.4.kde
- %%post/%%postun workarounds for recent /sbin/ldconfig (fc3/el4)
- explicitly set options: aspell, dnssd, jasper, openexr, tiff
- drop ssl-krb5 patch

* Sat Mar 19 2005 Rex Dieter 6:3.4.0-1.3.kde
- strip references to -ldns_sd from .la files

* Fri Mar 18 2005 Rex Dieter 6:3.4.0-1.2.kde
- sync openssl patch w/rawhide
- fonts patch (use Sans/Serif/Monospace default)

* Fri Mar 04 2005 Rex Dieter 6:3.4.0-1.0.kde
- 3.4.0(final) 
- zeroconf support via (apple's) mDNSResponder

* Thu Feb 24 2005 Rex Dieter 6:3.4.0-0.0.rc1
- 3.4.0-rc1

* Tue Feb 22 2005 Rex Dieter 6:3.3.92-0.4.kde
- BR: qt-3.3.4
- 3.3.92 (3.4 beta2)

* Thu Feb 10 2005 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.3.2-1.7.kde
- fam issues (kde bug #37780)

* Sun Jan 23 2005 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.3.2-1.6.kde
- move %{_docdir}/kdelibs-devel-3 to -apidocs

* Wed Jan 19 2005 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.3.2-1.5.kde
- Kfind locker (kde bug #77854)

* Fri Jan 07 2005 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.3.2-1.4.kde
- knotify crasher (kde bug #91497)

* Tue Jan 04 2005 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.3.2-1.3.kde
- http://www.kde.org/info/security/advisory-20050101-1.txt

* Mon Dec 13 2004 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.3.2-1.2.kde
- http://www.kde.org/info/security/advisory-20040811-3.txt 

* Thu Dec 09 2004 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.3.2-1.1.kde
- http://www.kde.org/info/security/advisory-20041209-1.txt

* Mon Nov 29 2004 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.3.2-1.0.kde
- 3.3.2

* Wed Nov 17 2004 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.3.1-4.2.kde
- strip (more) libidn references from .la files
- BR: krb5-devel

* Tue Nov 16 2004 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.3.1-4.1.kde
- fix loading of .so shared objects (rh bug #142244, kde bug #93359)

* Thu Nov 11 2004 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.3.1-4.0.kde
- sync to rawhide's 3.3.1-4
- fc3 support

* Tue Oct 12 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.1-0.2.kde
- kaddressbook patch (kde bug #91096)

* Fri Oct 08 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.1-0.1.kde
- respin

* Mon Oct 04 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.1-0.0.kde
- 3.3.1

* Fri Oct 1 2004 Rex Dieter <rexdieter at sf.net. 6:3.3.0-5.0.kde
- sync to rawhide's 3.3.0-5

* Fri Sep 17 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.0-2.2.kde
- fix stripping of libjpeg.la

* Wed Sep 15 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.0-2.1.kde
- strip libpng,libjpeg references from .la files

* Thu Sep 09 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.0-2.0.kde
- respin

* Tue Sep 07 2004 Than Ngo <than@redhat.com> 6:3.3.0-2
- add patch to fix KDE trash always full #122988

* Wed Sep 1 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.0-1.4.kde
- fix /etc/profile.d/kde.csh

* Tue Aug 31 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.0-1.3.kde
- revert KDE_FORK_SLAVES (mark as experimental), (at least) makes 
  clicking on links in kmail fail (kde bug #88557)

* Tue Aug 31 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.0-1.2.kde
- define KDE_IS_PRELINKED, KDE_FORK_SLAVES by default
  see /etc/profile.d/kde.(sh|csh) for details
- %%config(noreplace) /etc/profile.d/kde.* to allow local customization

* Tue Aug 24 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.0-1.1.kde
- BR: libidn-devel (but purge from .la files)
- BR: aspell-devel
- help configure find krb5-config

* Mon Aug 16 2004 Rex Dieter <rexdieter at sf.net> 6:3.3.0-1.0.kde
- 3.3.0

